---
title: pydo.databases.get_migration_status()
description: Retrieve the Status of an Online Migration
product: Reference
url: https://docs.digitalocean.com/reference/pydo/reference/databases/get_migration_status/
last_updated: "2026-11-06"
---

> **For AI agents:** The documentation index is at [https://docs.digitalocean.com/llms.txt](https://docs.digitalocean.com/llms.txt). Markdown versions of pages use the same URL with `index.html.md` in place of the HTML page (for example, append `index.html.md` to the directory path instead of opening the HTML document).

# pydo.databases.get_migration_status()

Generated on 6 Nov 2026 from `pydo` version [`v0.45.0`](https://github.com/digitalocean/pydo/releases/tag/v0.45.0)

## Usage

```python
client.databases.get_migration_status(
    database_cluster_uuid="9cc10173-e9ea-4176-9dbc-a4cee4c4ff30",
)
```

Returns `JSON` Raises `HttpResponseError`

## Description

To retrieve the status of the most recent online migration, send a GET request to [`/v2/databases/{database_cluster_uuid}/online-migration`](https://docs.digitalocean.com/reference/api/reference/databases/index.html.md#databases_get_migrationStatus).

## Parameters

`database_cluster_uuid` string required

A unique identifier for a database cluster.

## Request Sample

## Show Request Sample

```python
import os
from pydo import Client

client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))

get_resp = client.databases.get_migration_status(database_cluster_uuid="a7a7ab90")
```

## Response Example

## Show Response Example

```json
{
  "id": "77b28fc8-19ff-11eb-8c9c-c68e24557488",
  "status": "running",
  "created_at": "2020-10-29T15:57:38Z"
}
```

## More Information

See [`/v2/databases/{database_cluster_uuid}/online-migration`](https://docs.digitalocean.com/reference/api/reference/databases/index.html.md#databases_get_migrationStatus) in the API reference for additional detail on responses, headers, parameters, and more.